| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions
arMultiEditConfig.c File Reference
`#include <ARX/AR/ar.h>`
`#include <ARX/AR/arMulti.h>`
`#include <string.h>`
Include dependency graph for arMultiEditConfig.c:

## Functions
ARMultiMarkerInfoT * | arMultiAllocConfig (void)
| Creates a new empty multi-marker configuration.
ARMultiMarkerInfoT * | arMultiCopyConfig (const ARMultiMarkerInfoT *marker_info)
| Takes a deep copy of the multi-marker configuration passed in.
int | arMultiAddOrUpdateSubmarker (ARMultiMarkerInfoT *marker_info, int patt_id, int patt_type, ARdouble width, const ARdouble trans[3][4], uint64_t globalID)
void | arMultiUpdateSubmarkerPose (ARMultiEachMarkerInfoT *submarker, const ARdouble trans[3][4])
int | arMultiRemoveSubmarker (ARMultiMarkerInfoT *marker_info, int patt_id, int patt_type, uint64_t globalID)

## Function Documentation

## ◆ arMultiAddOrUpdateSubmarker()

int arMultiAddOrUpdateSubmarker | ( | ARMultiMarkerInfoT * | marker_info,
|  | int | patt_id,
|  | int | patt_type,
|  | ARdouble | width,
|  | const ARdouble | trans[3][4],
|  | uint64_t | globalID
| ) |  |

Here is the call graph for this function:

## ◆ arMultiAllocConfig()

ARMultiMarkerInfoT * arMultiAllocConfig | ( | void |  | ) |

Creates a new empty multi-marker configuration.

The returned value should be freed by calling arMultiFreeConfig when done.

## ◆ arMultiCopyConfig()

ARMultiMarkerInfoT * arMultiCopyConfig | ( | const ARMultiMarkerInfoT * | marker_info | ) |

Takes a deep copy of the multi-marker configuration passed in.

The returned value should be freed by calling arMultiFreeConfig when done.

## ◆ arMultiRemoveSubmarker()

int arMultiRemoveSubmarker | ( | ARMultiMarkerInfoT * | marker_info,
|  | int | patt_id,
|  | int | patt_type,
|  | uint64_t | globalID
| ) |  |

## ◆ arMultiUpdateSubmarkerPose()

void arMultiUpdateSubmarkerPose | ( | ARMultiEachMarkerInfoT * | submarker,
|  | const ARdouble | trans[3][4]
| ) |  |

Here is the call graph for this function: